<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Stanek](./bitburner.stanek.md) &gt; [placeFragment](./bitburner.stanek.placefragment.md)

## Stanek.placeFragment() method

Place fragment on Stanek's Gift.

**Signature:**

```typescript
placeFragment(rootX: number, rootY: number, rotation: number, fragmentId: number): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

rootX


</td><td>

number


</td><td>

X against which to align the top left of the fragment.


</td></tr>
<tr><td>

rootY


</td><td>

number


</td><td>

Y against which to align the top left of the fragment.


</td></tr>
<tr><td>

rotation


</td><td>

number


</td><td>

A number from 0 to 3, the mount of 90 degree turn to take.


</td></tr>
<tr><td>

fragmentId


</td><td>

number


</td><td>

ID of the fragment to place.


</td></tr>
</tbody></table>

**Returns:**

boolean

true if the fragment can be placed at that position. false otherwise.

## Remarks

RAM cost: 5 GB

